> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Completion Feedback

> 
Record end-user feedback on a completion. Use to capture thumbs up/down ratings or custom feedback attributes. [See SDK method.](https://docs.freeplay.ai/freeplay-sdk/customer-feedback)

The `freeplay_feedback` field must be "positive" or "negative". Additional custom fields are supported.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json post /api/v2/projects/{project_id}/completion-feedback/id/{completion_id}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/completion-feedback/id/{completion_id}:
    post:
      tags:
        - Observability
      summary: Add Completion Feedback
      description: >-

        Record end-user feedback on a completion. Use to capture thumbs up/down
        ratings or custom feedback attributes. [See SDK
        method.](https://docs.freeplay.ai/freeplay-sdk/customer-feedback)


        The `freeplay_feedback` field must be "positive" or "negative".
        Additional custom fields are supported.
      operationId: post_create_completion_feedback
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: completion_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              additionalProperties:
                anyOf:
                  - type: string
                  - type: number
                  - type: integer
                  - type: boolean
              type: object
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  message:
                    title: Message
                    type: string
                required:
                  - message
                title: SimpleResponseWithMessage
                type: object
          description: 'SimpleResponseWithMessage(message: str)'
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````